Rails.application.routes.draw do
	namespace :panel do
	  namespace :calendar do
	      namespace :back_end do 

  			match 'cals/agenda_view' => 'cals#agenda_view', :via => :get
  			match 'cals/month_view' => 'cals#month_view', :via => :get
  			match 'cals/day_view' => 'cals#day_view', :via => :get
  			match 'cals/week_view' => 'cals#week_view', :via => :get
  			match 'cals/getMonthEvents' => 'cals#get_month_events', :via => :get
  			match 'cals/getWeekEvents' => 'cals#get_week_events', :via => :get
  			match 'cals/getDayEvents' => 'cals#get_day_events', :via => :get

	      	resources :cals 
	      	resources :events
			resources :tags
	      end
	  end
	end

end
